import { defHttp } from '@/utils/http/axios';
import { ID, IDS, commonExport } from '@/api/base';
import {
  WorkerInfoVO,
  WorkerInfoForm,
  WorkerInfoQuery,
  ElevatorUserQuery,
  ElevatorUserVO,
} from './model';

/**
 * 查询工作人员管理;列表
 * @param params
 * @returns
 */
export function workerInfoList(params?: WorkerInfoQuery) {
  return defHttp.get<WorkerInfoVO[]>({ url: '/worker/workerInfo/list', params });
}
/**
 * 批量关注或者取消关注;
 * @param data
 * @returns
 */
export function batchConcernPeo(data) {
  return defHttp.postWithMsg<void>({ url: '/elevator/elevatorUser/concern', data });
}
/**
 * 查询电梯及工作人员关联信息列表
 * @param params
 * @returns
 */
export function elevatorUserList(params?: ElevatorUserQuery) {
  return defHttp.get<ElevatorUserVO[]>({ url: '/elevator/elevatorUser/list', params });
}
/**
 * 导出工作人员管理;列表
 * @param params
 * @returns
 */
export function workerInfoExport(params?: WorkerInfoQuery) {
  return commonExport('/worker/workerInfo/export', params ?? {});
}

/**
 * 查询工作人员管理;详细
 * @param id id
 * @returns
 */
export function workerInfoInfo(id: ID) {
  return defHttp.get<WorkerInfoVO>({ url: '/worker/workerInfo/' + id });
}

/**
 * 新增工作人员管理;
 * @param data
 * @returns
 */
export function workerInfoAdd(data: WorkerInfoForm) {
  return defHttp.postWithMsg<void>({ url: '/worker/workerInfo', data });
}

/**
 * 更新工作人员管理;
 * @param data
 * @returns
 */
export function workerInfoUpdate(data: WorkerInfoForm) {
  return defHttp.putWithMsg<void>({ url: '/worker/workerInfo', data });
}

/**
 * 删除工作人员管理;
 * @param id id
 * @returns
 */
export function workerInfoRemove(id: ID | IDS) {
  return defHttp.deleteWithMsg<void>({ url: '/worker/workerInfo/' + id });
}
